# keeping it here just in case someone wants to use the SVN version
# svn co http://svn.openchrome.org/svn/trunk openchrome

# (anssi) The unversioned symlink of XvMC library must be present in
# %{_libdir} during normal use, as libXvMC uses that name for dlopening.
# Our devel requires finder catches that, hence this exception:
%define _requires_exceptions devel(

Name: x11-driver-video-openchrome
Version: 0.2.903
Release: %mkrel 1
Summary: X.org driver for Unichrome cards from the OpenChrome project
Group: System/X11
URL: http://www.openchrome.org
Source0: http://www.openchrome.org/releases/xf86-video-openchrome-%{version}.tar.gz
# Patch from Fedora rediffed against 0.2.903
# re_enable_AGPDMA.patch should only be used when kernel >= 2.6.25rc7
#Patch0: openchrome-0.2.903-re_enable_AGPDMA.patch
# Mandriva patches
# http://billionmonkeys.net/openchrome - broken 2008/07
Patch100: xf86-video-openchrome-0.2.901-billionmokeys.net_modelines.patch
# Fix underlinking - AdamW 2008/07
Patch101: xf86-video-openchrome-0.2.902-underlink.patch
License: MIT
BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: GL-devel
BuildRequires: libdrm-devel
BuildRequires: libx11-devel
BuildRequires: libxvmc-devel
BuildRequires: libxext-devel
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-server-devel >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1

Conflicts: xorg-x11-server < 7.0

%description
A free and Open Source video driver for the VIA/S3G
UniChrome and UniChrome Pro graphics chipsets. (CLE266,
KN400, KM400, K8M800, PM800, CN400, VN800)

%prep
%setup -q -n xf86-video-openchrome-%{version}
#%patch0 -p1 -b .agpdma
%patch100 -p1 -b .billionmonkeys
%patch101 -p1 -b .underlink

%build
# needed for underlink.patch - AdamW 2008/07
autoreconf
%configure2_5x --disable-static --enable-dri
%make

%install
rm -rf %{buildroot}
%makeinstall_std
# From Fedora:
# FIXME: Remove all libtool archives (*.la) from modules directory.  This
# should be fixed in upstream Makefile.am or whatever.
find %{buildroot} -regex ".*\.la$" | xargs rm -f --

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/libchromeXvMC.so
%{_libdir}/libchromeXvMC.so.1
%{_libdir}/libchromeXvMC.so.1.0.0
%{_libdir}/libchromeXvMCPro.so
%{_libdir}/libchromeXvMCPro.so.1
%{_libdir}/libchromeXvMCPro.so.1.0.0
%{_libdir}/xorg/modules/drivers/openchrome_drv.so
%{_mandir}/man4/openchrome.*



%changelog
* Mon Aug 25 2008 Adam Williamson <awilliamson@mandriva.com> 0.2.903-1mdv2008.1
+ Revision: 275858
- drop patches merged upstream
- new version 0.2.903
- disable re_enable_AGPDMA.patch for 2008.1 backport (kernel not new enough)

* Thu Feb 14 2008 Paulo Andrade <pcpa@mandriva.com.br> 0.2.901-2mdv2008.1
+ Revision: 168537
- Add patch requested by upstream. See http://wiki.openchrome.org/pipermail/openchrome-users/2008-February/004209.html for more information.

* Thu Feb 07 2008 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 0.2.901-1mdv2008.1
+ Revision: 163653
- new upstream version: 0.2.901
  - libopenchrome* was renamed to libchrome* (no cooker package
    depends on it anyway)
- unichrome-driver_name.patch is already upstream
- vt1625_NTSC_modes.patch is already upstream
- unichrome-fixcompile.patch is obsolete, dropped
- openchrome-chrome9-support.patch is already upstream
- billionmokeys.net_openchrome.patch was updated and is now called
  billionmokeys.net_modelines.patch
  (Thanks Damien Lallement for pointing me to this new version)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Oct 15 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 0.2.0.20071015-1mdv2008.1
+ Revision: 98659
- new svn snapshot (r412)
- added description
- minor spec cleanup

* Tue Aug 21 2007 Paulo Andrade <pcpa@mandriva.com.br> 0.2.0.20070821-2mdv2008.0
+ Revision: 68697
- Add chrome9 suport.

* Tue Aug 21 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 0.2.0.20070821-1mdv2008.0
+ Revision: 68639
- update to a newer snapshot version of the driver

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix man pages extension

